package com.kingdee.eas.custom.gggl;

import com.kingdee.bos.framework.ejb.EJBRemoteException;
import com.kingdee.bos.util.BOSObjectType;
import java.rmi.RemoteException;
import com.kingdee.bos.framework.AbstractBizCtrl;
import com.kingdee.bos.orm.template.ORMObject;

import com.kingdee.eas.framework.report.CommRptBase;
import com.kingdee.bos.Context;
import com.kingdee.bos.BOSException;
import com.kingdee.eas.custom.gggl.app.*;
import com.kingdee.eas.framework.report.ICommRptBase;
import com.kingdee.bos.framework.*;
import com.kingdee.bos.util.*;

public class GgAnalyseReportFacde extends CommRptBase implements IGgAnalyseReportFacde
{
    public GgAnalyseReportFacde()
    {
        super();
        registerInterface(IGgAnalyseReportFacde.class, this);
    }
    public GgAnalyseReportFacde(Context ctx)
    {
        super(ctx);
        registerInterface(IGgAnalyseReportFacde.class, this);
    }
    public BOSObjectType getType()
    {
        return new BOSObjectType("84B18420");
    }
    private GgAnalyseReportFacdeController getController() throws BOSException
    {
        return (GgAnalyseReportFacdeController)getBizController();
    }
}